# Extra Data

Sử dụng trong trường hợp đối tác muốn bổ sung thêm thông tin cho 01 giao dịch.&#x20;

Hệ thống VinID sẽ đọc theo format sau:&#x20;

```
{
    "partner_code": "YOUR-PARTNER-CODE-HERE",
    // thông tin thêm mà đối tác muốn bổ sung cho giao dịch.
    "order_info": "your-json-string"
}
```

Ví dụ:

```
// request body với extra data dạng array key-value
{
    "callback_url": "your-callback-url",
    "description": "Mua hàng tại quầy",
    "order_amount": "10000",
    "order_currency": "VND",
    "order_reference_id": "DOITAC-DON-01",
    "pos_code": "POS-CUA-HANG-01",
    "service_type": "PURCHASE",
    "store_code": "CUA-HANG-01",
    "extra_data": {
        "partner_code": "MERCHANT-01",
        "order_info": "[{\"topping\":\"pho mai\",\"ship_method\":\"ship b\u1eb1ng m\u00e1y bay\"}]"
    }
}
// request body với extra data dạng object
{
    "callback_url": "your-callback-url",
    "description": "Mua hàng tại quầy",
    "order_amount": "10000",
    "order_currency": "VND",
    "order_reference_id": "DOITAC-DON-01",
    "pos_code": "POS-CUA-HANG-01",
    "service_type": "PURCHASE",
    "store_code": "CUA-HANG-01",
    "extra_data": {
        "partner_code": "MERCHANT-01",
        "order_info": "{\"customer\":\"joker\",\"sent_to\":\"batman\",\"is_a_bomb\":true}"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.vinid.net/tai-lieu-tich-hop/quy-tac-ket-noi/extra-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
